// ==================================================
//	CTouchMeApp.h
//	Copyright (C) 1996 Mizutori Tetsuya, July 4 1996.
// ==================================================
//	All documents are pretty-printed in Geneva 10-point font.

#pragma once

#include <LDocApplication.h>


class LWindow;


class	CTouchMeApp : public LDocApplication {

public:
					CTouchMeApp();	
	virtual 			~CTouchMeApp();

	virtual Boolean		ObeyCommand( CommandT inCommand, void* ioParam );	
	virtual void		FindCommandStatus( CommandT inCommand,
							Boolean &outEnabled, Boolean &outUsesMark,
							Char16 &outMark, Str255 outName );

	// #include <AEDescExtractor.t>
	static void			TheLongDateTime( const AEDesc &inDesc, LongDateTime &outValue );
//	static void			TheFSSpec( const AEDesc &inDesc, FSSpec &outValue );

protected:

	virtual void		StartUp();	
	virtual void		OpenDocument( FSSpec *inMacFSSpec );
	virtual void		ChooseDocument();
	virtual void		UseIdleTime( const EventRecord &inMacEvent );
	virtual void		UpdateMenus();
	virtual void		ShowAboutBox();

	virtual void		HandleAppleEvent(
							const AppleEvent	&	inAppleEvent,
							AppleEvent	 &		outAEReply,
							AEDesc &			outResult,
							Int32			inAENumber );

	void				HandleGetPrefs( const AppleEvent &inAppleEvent,
							AppleEvent &outAEReply, AEDesc &outResult );

	void				HandleSetPrefs( const AppleEvent &inAppleEvent,
							AppleEvent &outAEReply, AEDesc &outResult );

	void				HandleLoadPrefs( const AppleEvent &inAppleEvent,
							AppleEvent &outAEReply, AEDesc &outResult );

	void				HandleSavePrefs( const AppleEvent &inAppleEvent,
							AppleEvent &outAEReply, AEDesc &outResult );

	void				HandleTouch( const AppleEvent &inAppleEvent,
							AppleEvent &outAEReply, AEDesc &outResult );

	void				HandleFetch( const AppleEvent &inAppleEvent,
							AppleEvent &outAEReply, AEDesc &outResult );

	LWindow *			FindHelpWindow( const ResIDT inWindowID );

private:

	Boolean			mOpenApplication;
	Boolean			mOpenDocument;
	Boolean			mKeyModifier;
	long				mCountDoc;
};


// end of definitions
