// ==================================================
//	CTouchMeAppleEvents.h
//	Copyright (C) 1996 Mizutori Tetsuya, July 4 1996.
// ==================================================
//	All documents are pretty-printed in Geneva 10-point font.

#pragma once

#include <AppleEvents.h>
#include <AERegistry.h>
#include <AEObjects.h>
#include <UAppleEventsMgr.h>

// for the resource 'aedt'

const long	ae_GetPrefs				= 10001;		// 'getp'
const long	ae_SetPrefs				= 10002;		// 'setp'
const long	ae_LoadPrefs				= 10003;		// 'lodp'
const long	ae_SavePrefs				= 10004;		// 'savp'
const long	ae_Touch					= 10005;		// 'toch'
const long	ae_Fetch					= 10006;		// 'ftch'


// for the resouce 'aete'

enum ETouchMeSuite {
	kAETouchMeSuite				= 'MzTm',
	kAEGetPrefs					= 'getp',
	kAESetPrefs					= 'setp',
	kAELoadPrefs					= 'lodp',
	kAESavePrefs					= 'savp',
	kAETouch						= 'toch',
	kAEFetch						= 'ftch',
	touchMeSuite_END
};

enum ETouchMePrefClass {
	cTouchMePref					= 'pref',
	pPref_Enabled					= 'penb',
	pPref_Flag						= 'pflg',
	pPref_Value					= 'pval',
	pPref_END
};

enum ETouchMeStampClass {
	cTouchMeStamp					= 'stmp',
	pStamp_Creation				= 'crtd',
	pStamp_Modification				= 'modd',
	pStamp_END
};

enum EnumTouchMeType {
	typeAETouchMeType				= 'Etyp',
	kEnumType_Creation				= 'crtT',
	kEnumType_Modification			= 'modT',
	kEnumType_END
};

enum EnumTouchMeFlag {
	typeAETouchMeFlag				= 'Eflg',
	kEnumFlag_Current				= 'curr',
	kEnumFlag_Excact				= 'dval',
	kEnumFlag_First				= 'frst',
	kEnumFlag_FirstSet				= 'scnd',
	kEnumFlag_END
};


#ifdef COMMENT
enum ETouchMeSuite {

//AppleScript Command: get prefs $Etyp$
	kAETouchMeSuite		= 'MzTm',		// EVENT CLASS
	kAEGetPrefs			= 'getp',		// EVENT ID
//Reply:
	cTouchMePref			= 'pref',		// pref record
//Direct Parameter: 
	typeAETouchMeType		= 'Etyp',
//Other Parameters: <none>


//AppleScript Command: set prefs $Etyp$ to $any$
	kAETouchMeSuite		= 'MzTm',		// EVENT CLASS
	kAESetPrefs			= 'setp',		// EVENT ID
//Reply:
	typeNull				= 'null',
//Direct Parameter: 
	typeAETouchMeType		= 'Etyp',
//Other Parameters: <none>
	keyAEData				= 'data'		// KEYWORD
	typeWildCard			= '****'


//AppleScript Command: load prefs
	kAETouchMeSuite		= 'MzTm',		// EVENT CLASS
	kAELoadPrefs			= 'lodp',		// EVENT ID
//Reply:
	typeNull				= 'null',
//Direct Parameter: 
	typeNull				= 'null',
//Other Parameters: <none>


//AppleScript Command: save prefs
	kAETouchMeSuite		= 'MzTm',		// EVENT CLASS
	kAELoadPrefs			= 'savp',		// EVENT ID
//Reply:
	typeNull				= 'null',
//Direct Parameter: 
	typeNull				= 'null',
//Other Parameters: <none>


//AppleScript Command: touch $typeAlias$
	kAETouchMeSuite		= 'MzTm',		// EVENT CLASS
	kAETouch				= 'toch',		// EVENT ID
//Reply:
	typeNull				= 'null',
//Direct Parameter: 
	typeAlias				= 'alis',		// a list of aliases
// Other Parameters: <none>


//AppleScript Command: fetch $typeAlias$
	kAETouchMeSuite		= 'MzTm',		// EVENT CLASS
	kAEFetch				= 'ftch',		// EVENT ID
//Reply:
	cTouchMeStamp			= 'stmp',
//Direct Parameter: 
	typeAlias				= 'alis',		// a list of aliases
//Other Parameters: <none>

	touchMeSuite_END
};
#endif // COMMENT

// end of definitions
