// ==================================================
//	touchMeRegistry.cp
//	Copyright (C) 1996 Mizutori Tetsuya, July 4 1996.
// ==================================================
//	All documents are pretty-printed in Geneva 10-point font.


#include "touchMeRegistry.h"

#include <PPobClasses.h>
#include <URegistrar.h>


// --------------------------------------------------
//		 RegisterPainClasses 
// --------------------------------------------------

#include <LActiveScroller.h>
#include <LButton.h>
#include <LCaption.h>
#include <LCicnButton.h>
#include <LDialogBox.h>
#include <LEditField.h>
#include <LGroupBox.h>
#include <LIconPane.h>
#include <LListBox.h>
#include <LOffscreenView.h>
#include <LPicture.h>
#include <LPlaceHolder.h>
#include <LPrintout.h>
#include <LScroller.h>
#include <LActiveScroller.h>
#include <LStdControl.h>
#include <LTable.h>
#include <LTextButton.h>
#include <LTextEdit.h>
#include <LWindow.h>
#include <LRadioGroup.h>
#include <LTabGroup.h>

#include <LToggleButton.h>

#include "CRadioButton.h"
#include "CDateEditField.h"
#include "CTouchMeDialog.h"

void
RegisterPainClasses( void )
{
	//Register functions to create core PowerPlant classes.
	//RegisterAllPPClasses();

	// Otherwise, here install the necessary ones only!
#if TRUE
	URegistrar::RegisterClass(LButton::class_ID,		(ClassCreatorFunc) LButton::CreateButtonStream);
	URegistrar::RegisterClass(LCaption::class_ID,	(ClassCreatorFunc) LCaption::CreateCaptionStream);
//	URegistrar::RegisterClass(LDialogBox::class_ID,	(ClassCreatorFunc) LDialogBox::CreateDialogBoxStream);
//	URegistrar::RegisterClass(LEditField::class_ID,	(ClassCreatorFunc) LEditField::CreateEditFieldStream);
//	URegistrar::RegisterClass(LListBox::class_ID,	(ClassCreatorFunc) LListBox::CreateListBoxStream);
//	URegistrar::RegisterClass(LPane::class_ID,		(ClassCreatorFunc) LPane::CreatePaneStream);
	URegistrar::RegisterClass(LPicture::class_ID,	(ClassCreatorFunc) LPicture::CreatePictureStream);
//	URegistrar::RegisterClass(LPlaceHolder::class_ID,	(ClassCreatorFunc) LPlaceHolder::CreatePlaceHolderStream);
//	URegistrar::RegisterClass(LPrintout::class_ID,	(ClassCreatorFunc) LPrintout::CreatePrintoutStream);
//	URegistrar::RegisterClass('prto',				(ClassCreatorFunc) LPrintout::CreateOldPrintoutStream);
//	URegistrar::RegisterClass(LScroller::class_ID,	(ClassCreatorFunc) LScroller::CreateScrollerStream);
//	URegistrar::RegisterClass(LStdControl::class_ID,	(ClassCreatorFunc) LStdControl::CreateStdControlStream);
	URegistrar::RegisterClass(LStdButton::class_ID,	(ClassCreatorFunc) LStdButton::CreateStdButtonStream);
	URegistrar::RegisterClass(LStdCheckBox::class_ID,	(ClassCreatorFunc) LStdCheckBox::CreateStdCheckBoxStream);
//	URegistrar::RegisterClass(LStdRadioButton::class_ID,	(ClassCreatorFunc) LStdRadioButton::CreateStdRadioButtonStream);
//	URegistrar::RegisterClass(LStdPopupMenu::class_ID,	(ClassCreatorFunc) LStdPopupMenu::CreateStdPopupMenuStream);
//	URegistrar::RegisterClass(LTextEdit::class_ID,	(ClassCreatorFunc) LTextEdit::CreateTextEditStream);
//	URegistrar::RegisterClass(LView::class_ID,		(ClassCreatorFunc) LView::CreateViewStream);
	URegistrar::RegisterClass(LWindow::class_ID,	(ClassCreatorFunc) LWindow::CreateWindowStream);

	URegistrar::RegisterClass(LRadioGroup::class_ID,	(ClassCreatorFunc) LRadioGroup::CreateRadioGroupStream);
	URegistrar::RegisterClass(LTabGroup::class_ID,	(ClassCreatorFunc) LTabGroup::CreateTabGroupStream);

//	URegistrar::RegisterClass(LCicnButton::class_ID,	(ClassCreatorFunc) LCicnButton::CreateCicnButtonStream);
//	URegistrar::RegisterClass(LOffscreenView::class_ID,	(ClassCreatorFunc) LOffscreenView::CreateOffscreenViewStream);
//	URegistrar::RegisterClass(LActiveScroller::class_ID,	(ClassCreatorFunc) LActiveScroller::CreateActiveScrollerStream);
//	URegistrar::RegisterClass(LTable::class_ID,		(ClassCreatorFunc) LTable::CreateTableStream);
//	URegistrar::RegisterClass(LIconPane::class_ID,	(ClassCreatorFunc) LIconPane::CreateIconPaneStream);
	URegistrar::RegisterClass(LGroupBox::class_ID,	(ClassCreatorFunc) LGroupBox::CreateGroupBoxStream);
//	URegistrar::RegisterClass(LTextButton::class_ID,	(ClassCreatorFunc) LTextButton::CreateTextButtonStream);
#endif

	URegistrar::RegisterClass(LActiveScroller::class_ID,	(ClassCreatorFunc) LActiveScroller::CreateActiveScrollerStream);
	URegistrar::RegisterClass(LToggleButton::class_ID,	(ClassCreatorFunc) LToggleButton::CreateToggleButtonStream);

	// Register my custom classes.
	URegistrar::RegisterClass( CTouchMeDialog::class_ID, (ClassCreatorFunc) CTouchMeDialog::CreateTouchMeDialogStream );
	URegistrar::RegisterClass( CRadioButton::class_ID, (ClassCreatorFunc) CRadioButton::CreateRadioButtonStream );
	URegistrar::RegisterClass( CDateEditField::class_ID, (ClassCreatorFunc) CDateEditField::CreateDateEditFieldStream );
}


// end of program
